<?xml version ="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

        <variable
            name="review"
            type="com.gumbira.application.gumbiratour.service.model.gmaps.detail.Review" />
    </data>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginBottom="18dp">

        <LinearLayout
            android:id="@+id/item_review_img_wrap"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <de.hdodenhof.circleimageview.CircleImageView
                android:id="@+id/item_review_img"
                android:layout_width="48dp"
                android:layout_height="48dp"
                android:scaleType="centerCrop"
                app:image="@{review.profilePhotoUrl}" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:text="@{review.ratingStr}" />
        </LinearLayout>

        <TextView
            android:id="@+id/item_review_name"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="8dp"
            android:layout_toRightOf="@id/item_review_img_wrap"
            android:text="@{review.authorName}"
            android:textColor="#212121"
            android:textStyle="bold" />

        <TextView
            android:id="@+id/item_review_time"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_below="@id/item_review_name"
            android:layout_marginBottom="4dp"
            android:layout_marginLeft="8dp"
            android:layout_toRightOf="@id/item_review_img_wrap"
            android:text="@{review.relativeTimeDescription}" />

        <me.zhanghai.android.materialratingbar.MaterialRatingBar
            android:id="@+id/item_review_rate"
            style="@style/Widget.MaterialRatingBar.RatingBar"
            android:layout_width="100dp"
            android:layout_height="wrap_content"
            android:layout_below="@id/item_review_time"
            android:layout_marginLeft="3dp"
            android:layout_toRightOf="@id/item_review_img_wrap"
            android:imeActionLabel=""
            android:rating="@{review.ratingFloat}" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@id/item_review_img_wrap"
            android:text="@{review.text}"
            android:textColor="#df000000" />
    </RelativeLayout>
</layout>